
From: Andrew Morton <akpm@osdl.org>

*** Warning: "pci_bus_to_node" [drivers/net/e1000/e1000.ko] undefined!
*** Warning: "pci_bus_to_node" [drivers/ide/ide-disk.ko] undefined!
*** Warning: "pci_bus_to_node" [drivers/ide/ide-core.ko] undefined!

Cc: Christoph Lameter <clameter@engr.sgi.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/x86_64/kernel/mpparse.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN arch/x86_64/kernel/mpparse.c~x86-x86_64-pcibus_to_node-fix arch/x86_64/kernel/mpparse.c
--- 25/arch/x86_64/kernel/mpparse.c~x86-x86_64-pcibus_to_node-fix	2005-05-31 23:19:17.000000000 -0700
+++ 25-akpm/arch/x86_64/kernel/mpparse.c	2005-05-31 23:21:29.000000000 -0700
@@ -23,6 +23,7 @@
 #include <linux/kernel_stat.h>
 #include <linux/mc146818rtc.h>
 #include <linux/acpi.h>
+#include <linux/module.h>
 
 #include <asm/smp.h>
 #include <asm/mtrr.h>
@@ -46,6 +47,7 @@ int apic_version [MAX_APICS];
 unsigned char mp_bus_id_to_type [MAX_MP_BUSSES] = { [0 ... MAX_MP_BUSSES-1] = -1 };
 int mp_bus_id_to_pci_bus [MAX_MP_BUSSES] = { [0 ... MAX_MP_BUSSES-1] = -1 };
 unsigned char pci_bus_to_node [256];
+EXPORT_SYMBOL(pci_bus_to_node);
 
 static int mp_current_pci_id = 0;
 /* I/O APIC entries */
_
